Module java.desktop
Package java.beans

# Class ParameterDescriptor

java.lang.Object
java.beans.FeatureDescriptor
java.beans.ParameterDescriptor

    public class ParameterDescriptor
    extends FeatureDescriptor

The ParameterDescriptor class allows bean implementors to provide additional information on each of their parameters, beyond the low level type information provided by the java.lang.reflect.Method class.

Currently all our state comes from the FeatureDescriptor base class.

Since:
  1.1

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ParameterDescriptor()` | Public default constructor.

## Method Summary

### Methods declared in class java.beans.FeatureDescriptor

`attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setDisplayName, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParameterDescriptor

public ParameterDescriptor()
Public default constructor.